%define section free
%define gcj_support 1

Name:           werken.xpath
Version:        0.9.4
Release:        %mkrel 0.beta.9.4
Epoch:          0
Summary:        XPath implementation using JDOM
License:        Apache License-like
Source0:        %{name}-%{version}-beta-src-MDVCLEAN.tar.bz2
Patch0:         %{name}-jdom.patch
Patch1:         %{name}-compile.patch
Patch2:         %{name}-tests.patch
URL:            http://sourceforge.net/projects/werken-xpath/
Requires:       oldjdom
BuildRequires:  ant, antlr >= 0:2.7.1-3jpp, oldjdom, jpackage-utils >= 0:1.5
Group:          Development/Java
%if %{gcj_support}
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
BuildRequires:  java-gcj-compat-devel
%else
Buildarch:      noarch
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
#Vendor:         JPackage Project
#Distribution:   JPackage

%description
werken.xpath is an implementation of the W3C XPath Recommendation, on
top of the JDOM library.  It takes as input a XPath expression, and a
JDOM tree, and returns a NodeSet (java.util.List) of selected
elements.  Is is being used in the development of the
as-yet-unreleased werken.xslt (eXtensible Stylesheet Language) and the
werken.canonical (XML canonicalization) packages.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description    javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p0

# remove all binary libs
rm -f `find . -name "*.jar"`

%build
export CLASSPATH=$(build-classpath oldjdom antlr jaxp_parser_impl)
%ant package javadoc compile-test
# Note that you'll have to java in PATH for this to work, it is by default
# when using a JPackage JVM.
export PATH=%{java}:$PATH
sh runtests.sh

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc INSTALL LICENSE LIMITATIONS README TODO
%{_javadir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}




%changelog

* Fri Mar 16 2007 Christiaan Welvaart <spturtle@mandriva.org> 0.9.4-0.beta.9.4mdv2007.1
+ Revision: 144752
- rebuild for 2007.1
- Import werken.xpath

* Sat Aug 05 2006 David Walluck <walluck@mandriva.org> 0:0.9.4-0.beta.9.3mdv2007
- bunzip2 patches

* Sun Jun 04 2006 David Walluck <walluck@mandriva.org> 0:0.9.4-0.beta.9.2mdv2007.0
- rebuild for libgcj.so.7
- aot-compile

* Sat May 28 2005 David Walluck <walluck@mandriva.org> 0:0.9.4-0.beta.9.1mdk
- release

* Tue Aug 31 2004 Ralph Apel <r.apel at r-apel.de> 0:0.9.4-0.beta.9jpp
- Build with ant-1.6.2

